#property copyright "Copyright 2016, Tor"
#property link      "http://einvestor.ru/"
#property version   "1.1"
#property strict
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_plots   2
#include <mt4gui2.mqh>
 
int hwnd = 0;
int ButtonL,ButtonR;
string Symbols[4];
static int currentId = 1;
int left, right, cur;

int OnInit()
  {  
   
   if(GlobalVariableCheck("current") && GlobalVariableGet("current")>=0 && GlobalVariableGet("current")<ArraySize(Symbols)){
      cur = (int)GlobalVariableGet("current");
   }else{
      GlobalVariableSet("current", currentId);
      cur = currentId;
   }
   
   hwnd = WindowHandle(Symbol(),Period());     
   guiRemoveAll(hwnd); 
   
   Symbols[0] = "EURUSD"; 
   Symbols[1] = "GBPUSD"; 
   Symbols[2] = "AUDCAD";
   Symbols[3] = "AUDUSD";
   
   left = cur-1;
   right = cur+1;
   if(left<0){ left=ArraySize(Symbols)-1; }
   if(right<0){ right=ArraySize(Symbols)-1; }
   if(left>ArraySize(Symbols)-1){ left=0; }
   if(right>ArraySize(Symbols)-1){ right=0; }
   
   ButtonL = guiAdd(hwnd,"button",52,65,100,35,Symbols[left]);
   ButtonR = guiAdd(hwnd,"button",168,65,100,35,Symbols[right]); 

  return(0);
  }
 
void OnDeinit(const int reason)
{   
   if (hwnd>0) guiRemoveAll(hwnd); 
   guiCleanup(hwnd);
   
return;
}
 
int start()
{
   cur = (int)GlobalVariableGet("current");
   if(_Symbol!=Symbols[cur]){ guiChangeSymbol(hwnd,Symbols[cur]); }
   left = cur-1;
   right = cur+1;
   if(left<0){ left=ArraySize(Symbols)-1; }
   if(right<0){ right=ArraySize(Symbols)-1; }
   if(left>ArraySize(Symbols)-1){ left=0; }
   if(right>ArraySize(Symbols)-1){ right=0; }
   
   if(guiIsClicked(hwnd, ButtonL)){ GlobalVariableSet("current",left); guiChangeSymbol(hwnd,Symbols[left]); }
   if(guiIsClicked(hwnd, ButtonR)){ GlobalVariableSet("current",right); guiChangeSymbol(hwnd,Symbols[right]); }
   Comment("currentId="+(string)cur+"  left="+(string)left);

 return(0);
}
 